Package com.fasterxml.jackson.dataformat.xml.util

## Class AnnotationUtil

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.AnnotationUtil

    public class AnnotationUtil
    extends java.lang.Object

### Constructor Summary

Constructors
`AnnotationUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Boolean` `findIsAttributeAnnotation​(com.fasterxml.jackson.databind.AnnotationIntrospector ai, com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)`
`static java.lang.Boolean` `findIsCDataAnnotation​(com.fasterxml.jackson.databind.AnnotationIntrospector ai, com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)`
`static java.lang.Boolean` `findIsTextAnnotation​(com.fasterxml.jackson.databind.AnnotationIntrospector ai, com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)`
`static java.lang.String` `findNamespaceAnnotation​(com.fasterxml.jackson.databind.AnnotationIntrospector ai, com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationUtil

    public AnnotationUtil()

### Method Detail

#### findNamespaceAnnotation

    public static java.lang.String findNamespaceAnnotation​(com.fasterxml.jackson.databind.AnnotationIntrospector ai,
                                                           com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)

#### findIsAttributeAnnotation

    public static java.lang.Boolean findIsAttributeAnnotation​(com.fasterxml.jackson.databind.AnnotationIntrospector ai,
                                                              com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)

#### findIsTextAnnotation

    public static java.lang.Boolean findIsTextAnnotation​(com.fasterxml.jackson.databind.AnnotationIntrospector ai,
                                                         com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)

#### findIsCDataAnnotation

    public static java.lang.Boolean findIsCDataAnnotation​(com.fasterxml.jackson.databind.AnnotationIntrospector ai,
                                                          com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)